SplFileInfo::isExecutable
SplFileInfo::isLink
SplFileInfo
PHP Manual

# SplFileInfo::isFile

Tells if the object references a regular file

### Description

public bool SplFileInfo::isFile ( void )

Checks if the file referenced by this SplFileInfo object exists and is a regular file.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the file exists and is a regular file (not a link), `FALSE` otherwise.

### Examples

Example #1 SplFileInfo::isFile example

`<?php
$info = new SplFileInfo(__FILE__);
var_dump($info->isFile());
$info = new SplFileInfo(dirname(__FILE__));
var_dump($info->isFile());
?>`

The above example will output something similar to:

    bool(true)
    bool(false)